import { FeatureRunner } from '../runner';
import { Client } from 'paho-mqtt';
export declare class GQLSubscription {
    readonly connection: Promise<Client>;
    messages: any[];
    private readonly client;
    private readonly subscribers;
    private readonly subscriberMessages;
    constructor(selection: string, url: string, clientId: string, topics: string[], runner: FeatureRunner<any>);
    notifySubcribers: (result: any) => void;
    addListener: (listenerId: string, matcher: object) => void;
    disconnect: () => void;
    listenerMessage: (listenerId: string, timeout?: number) => Promise<any>;
}
