/// <reference types="node" />
import { messages as cucumber } from 'cucumber-messages';
export declare type SkippableFeature = cucumber.GherkinDocument.IFeature & {
    skip: boolean;
    dependsOn: cucumber.GherkinDocument.IFeature[];
};
export declare const parseFeatures: (featureData: Buffer[]) => SkippableFeature[];
export declare const fromDirectory: (dir: string) => Promise<SkippableFeature[]>;
