import { FeatureRunner, FlightRecorder, InterpolatedStep, Store, StepRunnerFunc } from './runner';
export declare type RegExpGroupStepRunner<W extends Store> = (args: {
    [key: string]: string;
}, step: InterpolatedStep, runner: FeatureRunner<W>, feature: FlightRecorder) => Promise<any>;
export declare const regexGroupMatcher: <W extends Store>(rx: RegExp) => (stepRunner: RegExpGroupStepRunner<W>) => (step: InterpolatedStep) => false | StepRunnerFunc<W>;
