"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.regexGroupMatcher = (rx) => (stepRunner) => (step) => {
    const m = rx.exec(step.interpolatedText);
    if (!m || m.groups === undefined) {
        return false;
    }
    return (runner, feature) => stepRunner(m.groups, step, runner, feature);
};
