"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const runner_1 = require("./runner");
const path = require("path");
const regexGroupMatcher_1 = require("./regexGroupMatcher");
describe('regexGroupMatcher', () => {
    it('should match groups', async () => {
        const runner = new runner_1.FeatureRunner({}, {
            reporters: [],
            dir: path.join(process.cwd(), 'test', 'regex-group-matcher'),
        });
        expect.assertions(2);
        const { success } = await runner
            .addStepRunners([
            regexGroupMatcher_1.regexGroupMatcher(/I use regexGroupMatcher to match "(?<valueName>[^"]+)"/)(async ({ valueName }) => {
                expect(valueName).toEqual('some value');
            }),
        ])
            .run();
        expect(success).toEqual(true);
    });
});
