export declare type Headers = {
    [index: string]: string;
};
export declare class RestClient {
    headers: Headers;
    endpoint: string;
    response: {
        headers: Headers;
        statusCode: number;
        body: any;
    };
    request(method: string, path: string, queryString?: object, extraHeaders?: Headers, body?: any): Promise<string>;
}
