"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const path = require("path");
const runner_1 = require("./runner");
describe('runner', () => {
    describe('@Retry', () => {
        it('should be configurable', async () => {
            const result = await new runner_1.FeatureRunner({}, {
                reporters: [],
                dir: path.join(process.cwd(), 'test', 'backoff'),
            }).run();
            expect(result.success).toEqual(false);
            expect(result.featureResults[0].scenarioResults[0].success).toEqual(false);
            expect(result.featureResults[0].scenarioResults[0].tries).toEqual(3);
            expect(result.featureResults[0].scenarioResults[0].retryConfiguration).toEqual({
                initialDelay: 50,
                maxDelay: 100,
                failAfter: 3
            });
        });
    });
});
