import { FeatureRunner, FlightRecorder, InterpolatedStep, Store, StepRunnerFunc } from './runner';
export declare type RegExpStepRunner<W extends Store> = (args: string[], step: InterpolatedStep, runner: FeatureRunner<W>, feature: FlightRecorder) => Promise<any>;
export declare const regexMatcher: <W extends Store>(rx: RegExp) => (stepRunner: RegExpStepRunner<W>) => (step: InterpolatedStep) => false | StepRunnerFunc<W>;
