"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.regexMatcher = (rx) => (stepRunner) => (step) => {
    const m = rx.exec(step.interpolatedText);
    if (!m) {
        return false;
    }
    return (runner, feature) => stepRunner(m.slice(1), step, runner, feature);
};
